---

- name: enable and start elasticsearch
  ansible.builtin.systemd:
    name: elasticsearch 
    state: started 
    enabled: yes

- name: wait elasticsearh to be ready
  ansible.builtin.uri:
    url: "https://localhost:9200"
    status_code: 200
    user: elastic
    password: "{{ elasticsearch_bootstrap_password }}"
    method: GET
    force_basic_auth: yes
    validate_certs: no
  register: result
  until: result.status == 200
  retries: 30
  delay: 20